ublas: boost::numeric::ublas::scalar_matrix< T, ALLOC > Class Template Reference

# boost::numeric::ublas::scalar_matrix< T, ALLOC > Class Template Reference

A matrix with all values of type `T` equal to the same value. More...

Inherits matrix_container< scalar_matrix< T, ALLOC > >.

List of all members.

## Classes
class | const_iterator1
class | const_iterator2
## Public Types
typedef std::size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef T | value_type
typedef const T & | const_reference
typedef T & | reference
typedef const matrix_reference < const self_type > | const_closure_type
typedef matrix_reference < self_type > | closure_type
typedef dense_tag | storage_category
typedef unknown_orientation_tag | orientation_category
typedef reverse_iterator_base1 < const_iterator1 > | const_reverse_iterator1
typedef reverse_iterator_base2 < const_iterator2 > | const_reverse_iterator2
typedef const_iterator1 | iterator1
typedef const_iterator2 | iterator2
## Public Member Functions
BOOST_UBLAS_INLINE | scalar_matrix (size_type size1, size_type size2, const value_type &value=value_type(1))
BOOST_UBLAS_INLINE | scalar_matrix (const scalar_matrix &m)
BOOST_UBLAS_INLINE size_type | size1 () const
BOOST_UBLAS_INLINE size_type | size2 () const
BOOST_UBLAS_INLINE void | resize (size_type size1, size_type size2, bool=true)
BOOST_UBLAS_INLINE const_reference | operator() (size_type, size_type) const
BOOST_UBLAS_INLINE scalar_matrix & | operator= (const scalar_matrix &m)
BOOST_UBLAS_INLINE scalar_matrix & | assign_temporary (scalar_matrix &m)
BOOST_UBLAS_INLINE void | swap (scalar_matrix &m)
BOOST_UBLAS_INLINE const_iterator1 | find1 (int, size_type i, size_type j) const
BOOST_UBLAS_INLINE const_iterator2 | find2 (int, size_type i, size_type j) const
BOOST_UBLAS_INLINE const_iterator1 | begin1 () const
BOOST_UBLAS_INLINE const_iterator1 | end1 () const
BOOST_UBLAS_INLINE const_iterator2 | begin2 () const
BOOST_UBLAS_INLINE const_iterator2 | end2 () const
BOOST_UBLAS_INLINE const_reverse_iterator1 | rbegin1 () const
BOOST_UBLAS_INLINE const_reverse_iterator1 | rend1 () const
BOOST_UBLAS_INLINE const_reverse_iterator2 | rbegin2 () const
BOOST_UBLAS_INLINE const_reverse_iterator2 | rend2 () const
template<class Archive >
void | serialize (Archive &ar, const unsigned int)
## Friends
BOOST_UBLAS_INLINE friend void | swap (scalar_matrix &m1, scalar_matrix &m2)

## Detailed Description

### template<class T, class ALLOC>
class boost::numeric::ublas::scalar_matrix< T, ALLOC >

Changing one value has the effect of changing all the values. Assigning it to a normal matrix will copy the same value everywhere in this matrix. All accesses are constant time, due to the trivial value.

Template Parameters:

  | T | the type of object stored in the matrix (like double, float, complex, etc...)
  | ALLOC | an allocator for storing the unique value. By default, a standar allocator is used.